diff --git a/src/main/java/com/b100/utils/FileUtils.java b/src/main/java/com/b100/utils/FileUtils.java
index 1f8f5eeda..a73a689f3 100644
--- a/src/main/java/com/b100/utils/FileUtils.java
+++ b/src/main/java/com/b100/utils/FileUtils.java
@@ -3,8 +3,6 @@ package com.b100.utils;
 import java.io.BufferedInputStream;
 import java.io.BufferedOutputStream;
 import java.io.File;
-import java.io.FileInputStream;
-import java.io.FileOutputStream;
 import java.io.IOException;
 import java.io.InputStream;
 import java.io.OutputStream;
diff --git a/src/main/java/com/b100/utils/ImageUtils.java b/src/main/java/com/b100/utils/ImageUtils.java
index f506ce526..6a436f00f 100644
--- a/src/main/java/com/b100/utils/ImageUtils.java
+++ b/src/main/java/com/b100/utils/ImageUtils.java
@@ -9,7 +9,6 @@ import java.awt.datatransfer.Transferable;
 import java.awt.datatransfer.UnsupportedFlavorException;
 import java.awt.image.BufferedImage;
 import java.io.File;
-import java.io.FileInputStream;
 import java.io.IOException;
 import java.io.InputStream;
 import java.nio.file.Files;
diff --git a/src/main/java/com/b100/utils/ReflectUtils.java b/src/main/java/com/b100/utils/ReflectUtils.java
index 49874eb98..b0b7a0e5a 100644
--- a/src/main/java/com/b100/utils/ReflectUtils.java
+++ b/src/main/java/com/b100/utils/ReflectUtils.java
@@ -1,7 +1,5 @@
 package com.b100.utils;
 
-import net.minecraft.core.Global;
-
 import static com.b100.utils.Utils.*;
 
 import java.lang.reflect.Field;
diff --git a/src/main/java/com/b100/utils/StringUtils.java b/src/main/java/com/b100/utils/StringUtils.java
index d7a0bc78a..f128246e5 100644
--- a/src/main/java/com/b100/utils/StringUtils.java
+++ b/src/main/java/com/b100/utils/StringUtils.java
@@ -2,7 +2,6 @@ package com.b100.utils;
 
 import java.io.BufferedReader;
 import java.io.File;
-import java.io.FileInputStream;
 import java.io.FileWriter;
 import java.io.InputStream;
 import java.io.InputStreamReader;
diff --git a/src/main/java/net/betterthanadventure/sound/LibraryLWJGL3OpenAL.java b/src/main/java/net/betterthanadventure/sound/LibraryLWJGL3OpenAL.java
index 25930af32..e9a1d6cfe 100644
--- a/src/main/java/net/betterthanadventure/sound/LibraryLWJGL3OpenAL.java
+++ b/src/main/java/net/betterthanadventure/sound/LibraryLWJGL3OpenAL.java
@@ -1,7 +1,6 @@
 package net.betterthanadventure.sound;
 
 import org.lwjgl.BufferUtils;
-import org.lwjgl.LWJGLException;
 import org.lwjgl.openal.*;
 import paulscode.sound.*;
 
@@ -11,6 +10,7 @@ import java.nio.FloatBuffer;
 import java.nio.IntBuffer;
 import java.util.HashMap;
 import java.util.Iterator;
+import java.util.Map;
 import java.util.Set;
 
 public class LibraryLWJGL3OpenAL extends Library {
@@ -22,11 +22,11 @@ public class LibraryLWJGL3OpenAL extends Library {
     private FloatBuffer listenerPositionAL = null;
     private FloatBuffer listenerOrientation = null;
     private FloatBuffer listenerVelocity = null;
-    private HashMap ALBufferMap = null;
+    private Map<String, IntBuffer> ALBufferMap = null;
     private static boolean alPitchSupported = true;
 
     public LibraryLWJGL3OpenAL() {
-        this.ALBufferMap = new HashMap();
+        this.ALBufferMap = new HashMap<>();
     }
 
     private void create() {
@@ -119,8 +119,7 @@ public class LibraryLWJGL3OpenAL extends Library {
         if (AL10.alGetError() != 0) {
             return null;
         } else {
-            ChannelLWJGL3OpenAL var2 = new ChannelLWJGL3OpenAL(var1, var3);
-            return var2;
+            return new ChannelLWJGL3OpenAL(var1, var3);
         }
     }
 
@@ -154,7 +153,7 @@ public class LibraryLWJGL3OpenAL extends Library {
         }
 
         if (this.ALBufferMap == null) {
-            this.ALBufferMap = new HashMap();
+            this.ALBufferMap = new HashMap<>();
             this.importantMessage("Open AL Buffer Map was null in method'loadSound'");
         }
 
diff --git a/src/main/java/net/minecraft/client/Minecraft.java b/src/main/java/net/minecraft/client/Minecraft.java
index 70bd167ab..66e343920 100644
--- a/src/main/java/net/minecraft/client/Minecraft.java
+++ b/src/main/java/net/minecraft/client/Minecraft.java
@@ -8,10 +8,6 @@ import java.awt.event.MouseAdapter;
 import java.awt.event.MouseEvent;
 import java.io.File;
 import java.io.IOException;
-import java.util.ArrayList;
-import java.util.List;
-import java.util.Comparator;
-import java.util.Random;
 import java.net.HttpURLConnection;
 import java.net.URL;
 import java.util.*;
@@ -27,11 +23,12 @@ import net.minecraft.client.gui.chat.ScreenSleepMP;
 import net.minecraft.client.gui.toasts.GuiElementToastsHud;
 import net.minecraft.client.holiday.Holidays;
 import net.minecraft.client.net.handler.PacketHandlerClient;
-import net.minecraft.client.sound.SoundEvent;
 import net.minecraft.client.world.WorldClient;
 import net.minecraft.client.world.chunk.provider.ChunkProviderStatic;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.block.BlockLeavesBase;
+import net.minecraft.core.block.entity.TileEntityDispatcher;
+import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.LoggedPrintStream;
@@ -157,26 +154,6 @@ import org.slf4j.Logger;
 
 
 import static net.minecraft.core.Global.CURRENT_SAVE_VERSION;
-import static org.lwjgl.opengl.GL11.GL_ALPHA_TEST;
-import static org.lwjgl.opengl.GL11.GL_TEXTURE_2D;
-import static org.lwjgl.opengl.GL11.glAlphaFunc;
-import static org.lwjgl.opengl.GL11.glClear;
-import static org.lwjgl.opengl.GL11.glClearColor;
-import static org.lwjgl.opengl.GL11.glClearDepth;
-import static org.lwjgl.opengl.GL11.glColor4f;
-import static org.lwjgl.opengl.GL11.glCullFace;
-import static org.lwjgl.opengl.GL11.glDepthFunc;
-import static org.lwjgl.opengl.GL11.glDisable;
-import static org.lwjgl.opengl.GL11.glEnable;
-import static org.lwjgl.opengl.GL11.glLoadIdentity;
-import static org.lwjgl.opengl.GL11.glMatrixMode;
-import static org.lwjgl.opengl.GL11.glOrtho;
-import static org.lwjgl.opengl.GL11.glShadeModel;
-import static org.lwjgl.opengl.GL11.glTranslatef;
-import static org.lwjgl.opengl.GL11.glViewport;
-
-// Referenced classes of package net.minecraft.client:
-//            MinecraftApplet
 
 public class Minecraft
     implements MinecraftAccessor
@@ -417,6 +394,8 @@ public class Minecraft
         Blocks.init();
         Items.init();
         Dimension.init();
+        EntityDispatcher.init();
+        TileEntityDispatcher.init();
         CommandHelper.init();
 
 		gameSettings = new GameSettings(this, mcDataDir);
@@ -2401,7 +2380,6 @@ public class Minecraft
 
         loadingScreen.progressStage("Simulating world for a bit...");
         loadingScreen.progressStop();
-        j = 2000;
         currentWorld.dropOldChunks();
     }
 
diff --git a/src/main/java/net/minecraft/client/entity/particle/ParticleBlockBreaking.java b/src/main/java/net/minecraft/client/entity/particle/ParticleBlockBreaking.java
index 319dd11bd..f7e7f5869 100644
--- a/src/main/java/net/minecraft/client/entity/particle/ParticleBlockBreaking.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleBlockBreaking.java
@@ -1,10 +1,6 @@
 package net.minecraft.client.entity.particle;
 
 import net.minecraft.client.render.LightmapHelper;
-
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, Block, Tessellator, World
-
 import net.minecraft.client.render.ParticleEngine;
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.block.model.BlockModel;
diff --git a/src/main/java/net/minecraft/client/entity/particle/ParticleItemBreaking.java b/src/main/java/net/minecraft/client/entity/particle/ParticleItemBreaking.java
index cfa1b42ad..fd40b7392 100644
--- a/src/main/java/net/minecraft/client/entity/particle/ParticleItemBreaking.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleItemBreaking.java
@@ -1,11 +1,6 @@
 package net.minecraft.client.entity.particle;
 
 import net.minecraft.client.render.LightmapHelper;
-
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, Item, Block, Tessellator,
-//            World
-
 import net.minecraft.client.render.ParticleEngine;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.tessellator.Tessellator;
diff --git a/src/main/java/net/minecraft/client/entity/particle/ParticleLeaf.java b/src/main/java/net/minecraft/client/entity/particle/ParticleLeaf.java
index fc8b9bbaf..2981c08c6 100644
--- a/src/main/java/net/minecraft/client/entity/particle/ParticleLeaf.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleLeaf.java
@@ -1,10 +1,6 @@
 package net.minecraft.client.entity.particle;
 
 import net.minecraft.client.render.LightmapHelper;
-
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, Block, Tessellator, World
-
 import net.minecraft.client.render.ParticleEngine;
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
diff --git a/src/main/java/net/minecraft/client/entity/particle/ParticleSlimeChunk.java b/src/main/java/net/minecraft/client/entity/particle/ParticleSlimeChunk.java
index 5b549aa24..1188dc1f9 100644
--- a/src/main/java/net/minecraft/client/entity/particle/ParticleSlimeChunk.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleSlimeChunk.java
@@ -1,11 +1,6 @@
 package net.minecraft.client.entity.particle;
 
 import net.minecraft.client.render.LightmapHelper;
-
-// Referenced classes of package net.minecraft.src:
-//            EntityFX, Item, Block, Tessellator,
-//            World
-
 import net.minecraft.client.render.ParticleEngine;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.tessellator.Tessellator;
diff --git a/src/main/java/net/minecraft/client/entity/player/PlayerRemote.java b/src/main/java/net/minecraft/client/entity/player/PlayerRemote.java
index 99c4cfb16..0b184bcee 100644
--- a/src/main/java/net/minecraft/client/entity/player/PlayerRemote.java
+++ b/src/main/java/net/minecraft/client/entity/player/PlayerRemote.java
@@ -1,10 +1,5 @@
 package net.minecraft.client.entity.player;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Player, MathHelper, ItemStack, InventoryPlayer,
-//            World, Entity
-
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
diff --git a/src/main/java/net/minecraft/client/gui/ButtonElement.java b/src/main/java/net/minecraft/client/gui/ButtonElement.java
index 5093cec2a..2776c44ff 100644
--- a/src/main/java/net/minecraft/client/gui/ButtonElement.java
+++ b/src/main/java/net/minecraft/client/gui/ButtonElement.java
@@ -9,9 +9,6 @@ import org.lwjgl.opengl.GL11;
 import net.minecraft.client.Minecraft;
 import net.minecraft.core.util.helper.Listener;
 
-// Referenced classes of package net.minecraft.src:
-//            Gui, RenderEngine
-
 public class ButtonElement extends Gui implements GuiElement
 {
     public static final int STATE_DISABLED = 0;
diff --git a/src/main/java/net/minecraft/client/gui/ScreenAddServer.java b/src/main/java/net/minecraft/client/gui/ScreenAddServer.java
index e56cba8b3..359bd1fdc 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenAddServer.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenAddServer.java
@@ -5,10 +5,6 @@ import net.minecraft.core.net.SavedServerList;
 import net.minecraft.core.lang.I18n;
 import org.lwjgl.input.Keyboard;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, GuiTextField, StringTranslate, GuiButton, 
-//            gGameSettings, GuiConnecting
-
 public class ScreenAddServer extends Screen
 {
     private ButtonElement buttonSave;
diff --git a/src/main/java/net/minecraft/client/gui/ScreenBadJavaArch.java b/src/main/java/net/minecraft/client/gui/ScreenBadJavaArch.java
index 9075df622..bc7442303 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenBadJavaArch.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenBadJavaArch.java
@@ -1,8 +1,5 @@
 package net.minecraft.client.gui;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, GuiButton, GuiMainMenu
-
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.lang.I18n;
 import org.slf4j.Logger;
diff --git a/src/main/java/net/minecraft/client/gui/ScreenConflictWarning.java b/src/main/java/net/minecraft/client/gui/ScreenConflictWarning.java
index 0b1f4b829..ca305d79e 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenConflictWarning.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenConflictWarning.java
@@ -1,8 +1,5 @@
 package net.minecraft.client.gui;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, GuiButton, GuiMainMenu
-
 import net.minecraft.core.lang.I18n;
 
 public class ScreenConflictWarning extends Screen
diff --git a/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java b/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
index 1cbcfc991..58242abb8 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
@@ -1,10 +1,6 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
-
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, StringTranslate, GuiButton, GuiMainMenu
-
 import net.minecraft.core.lang.I18n;
 
 public class ScreenConnectFailed extends Screen
diff --git a/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java b/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java
index 4fbf1411b..935d1ddd2 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java
@@ -4,10 +4,6 @@ import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.ServerAddress;
 import org.lwjgl.input.Keyboard;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, GuiTextField, StringTranslate, GuiButton, 
-//            gGameSettings, GuiConnecting
-
 public class ScreenConnectToIp extends Screen
 {
 
diff --git a/src/main/java/net/minecraft/client/gui/ScreenConnecting.java b/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
index d9f1e7c5b..2a5f3399b 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
@@ -10,10 +10,6 @@ import org.slf4j.Logger;
 import java.net.ConnectException;
 import java.net.UnknownHostException;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, ThreadConnectToServer, PacketHandlerClient, StringTranslate,
-//            GuiButton, GuiMainMenu
-
 public class ScreenConnecting extends Screen
 {
     private static final Logger LOGGER = LogUtils.getLogger();
diff --git a/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java b/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
index ce95f0bdd..03be6e8fa 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.gui;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, KeepAlivePacket, PacketHandlerClient, StringTranslate,
-//            GuiButton
-
 import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.core.net.packet.KeepAlivePacket;
 import net.minecraft.core.lang.I18n;
diff --git a/src/main/java/net/minecraft/client/gui/ScreenGameOver.java b/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
index 317c7110f..eb0c99ed2 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
@@ -8,9 +8,6 @@ import org.lwjgl.opengl.GL11;
 
 import net.minecraft.core.net.command.TextFormatting;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, GuiButton, PlayerLocal, GuiMainMenu
-
 public class ScreenGameOver extends Screen
 {
     protected int tickCount = 0;
diff --git a/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java b/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
index c928bc18d..c015c5720 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
@@ -8,11 +8,6 @@ import net.minecraft.core.util.helper.ChatAllowedCharacters;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, GuiButton, World, SignUpdatePacket,
-//            TileEntitySign, PacketHandlerClient, Block, TileEntityRenderer,
-//            ChatAllowedCharacters
-
 public class ScreenLabelEditor extends Screen
 {
     private static final String allowedCharacters;
diff --git a/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java b/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java
index 197fde605..af589e346 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java
@@ -8,6 +8,7 @@ import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.net.packet.SetMobSpawnerPacket;
+import net.minecraft.core.util.collection.NamespaceID;
 
 import java.lang.reflect.Modifier;
 import java.util.ArrayList;
@@ -32,18 +33,18 @@ public class ScreenMobPicker
 
     @Override
     public void init() {
-        List<String> monsters = new ArrayList<>();
-        for (Class<? extends Entity> clazz : EntityDispatcher.classToKeyMap.keySet()) {
+        List<NamespaceID> monsters = new ArrayList<>();
+        for (Class<? extends Entity> clazz : EntityDispatcher.classToIdMap.keySet()) {
             if (clazz == MobFireflyCluster.class) continue;
             if (Mob.class.isAssignableFrom(clazz) && !Modifier.isAbstract(clazz.getModifiers())) {
-                monsters.add(EntityDispatcher.classToKeyMap.get(clazz));
+                monsters.add(EntityDispatcher.classToIdMap.get(clazz));
             }
         }
         Collections.sort(monsters);
         List<String> prettyMonsters = new ArrayList<>();
-        for (String monster : monsters) {
+        for (NamespaceID monster : monsters) {
             StringBuilder sb = new StringBuilder();
-            for (char c : monster.toCharArray()) {
+            for (char c : monster.value.toCharArray()) {
                 if (Character.isUpperCase(c)) {
                     sb.append(' ');
                 }
@@ -59,7 +60,7 @@ public class ScreenMobPicker
             .closeOnClickOut(0)
             .withOnCloseListener((statusCode, results) -> {
                 if (statusCode == 1) {
-                    mobId = monsters.get((Integer) results.get("list"));
+                    mobId = monsters.get((Integer) results.get("list")).toString();
                     if (!mc.currentWorld.isClientSide) {
                         TileEntityMobSpawner spawner = (TileEntityMobSpawner) mc.currentWorld.getBlockEntity(x, y, z);
                         if (spawner == null) {
@@ -67,7 +68,7 @@ public class ScreenMobPicker
                         }
                         spawner.setMobId(mobId);
                     } else {
-                        mc.getSendQueue().addToSendQueue(new SetMobSpawnerPacket(x, y, z, mobId));
+                        mc.getSendQueue().addToSendQueue(new SetMobSpawnerPacket(x, y, z, EntityDispatcher.classForId(mobId)));
                     }
                 }
                 shouldClose = true;
diff --git a/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java b/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java
index f422d8c63..a6792eb7b 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java
@@ -1,9 +1,5 @@
 package net.minecraft.client.gui;
 
-
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, GuiButton
-
 import net.minecraft.core.lang.I18n;
 
 public class ScreenOutOfMemory extends Screen
diff --git a/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java b/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java
index 1360bdb33..ac2d487a4 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java
@@ -12,7 +12,6 @@ import java.util.ArrayList;
 import java.util.List;
 
 import static org.lwjgl.opengl.GL11.*;
-import static org.lwjgl.opengl.GL11.GL_BLEND;
 
 public class ScreenPaintingPicker
     extends Screen
diff --git a/src/main/java/net/minecraft/client/gui/ScreenPause.java b/src/main/java/net/minecraft/client/gui/ScreenPause.java
index fa3b0380b..ea24a774d 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenPause.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenPause.java
@@ -14,11 +14,6 @@ import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.client.input.InputType;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, GuiButton, StatCollector, GuiOptions, 
-//            StatList, StatFileWriter, World, GuiMainMenu, 
-//            GuiAchievements, GuiStats, MathHelper
-
 public class ScreenPause extends Screen
 {
 
diff --git a/src/main/java/net/minecraft/client/gui/ScreenWandMobPicker.java b/src/main/java/net/minecraft/client/gui/ScreenWandMobPicker.java
index 648a958f7..4006dac6b 100644
--- a/src/main/java/net/minecraft/client/gui/ScreenWandMobPicker.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenWandMobPicker.java
@@ -7,6 +7,7 @@ import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.packet.CustomPayloadPacket;
+import net.minecraft.core.util.collection.NamespaceID;
 
 import java.lang.reflect.Modifier;
 import java.nio.charset.StandardCharsets;
@@ -27,17 +28,17 @@ public class ScreenWandMobPicker extends Screen {
 
     @Override
     public void init() {
-        List<String> monsters = new ArrayList<>();
-        for (Class<? extends Entity> clazz : EntityDispatcher.classToKeyMap.keySet()) {
+        List<NamespaceID> monsters = new ArrayList<>();
+        for (Class<? extends Entity> clazz : EntityDispatcher.classToIdMap.keySet()) {
             if (Mob.class.isAssignableFrom(clazz) && !Modifier.isAbstract(clazz.getModifiers())) {
-                monsters.add(EntityDispatcher.classToKeyMap.get(clazz));
+                monsters.add(EntityDispatcher.classToIdMap.get(clazz));
             }
         }
         Collections.sort(monsters);
         List<String> prettyMonsters = new ArrayList<>();
-        for (String monster : monsters) {
+        for (NamespaceID monster : monsters) {
             StringBuilder sb = new StringBuilder();
-            for (char c : monster.toCharArray()) {
+            for (char c : monster.value.toCharArray()) {
                 if (Character.isUpperCase(c)) {
                     sb.append(' ');
                 }
@@ -53,7 +54,7 @@ public class ScreenWandMobPicker extends Screen {
                 .closeOnClickOut(0)
                 .withOnCloseListener((statusCode, results) -> {
                     if (statusCode == 1) {
-                        mobId = monsters.get((Integer) results.get("list"));
+                        mobId = monsters.get((Integer) results.get("list")).toString();
                         if (!mc.currentWorld.isClientSide) {
                             wand.getData().putString("monster", mobId);
                         } else {
diff --git a/src/main/java/net/minecraft/client/gui/TooltipElement.java b/src/main/java/net/minecraft/client/gui/TooltipElement.java
index 410701219..a6e2035c4 100644
--- a/src/main/java/net/minecraft/client/gui/TooltipElement.java
+++ b/src/main/java/net/minecraft/client/gui/TooltipElement.java
@@ -76,13 +76,13 @@ public class TooltipElement extends Gui
         return BASE_PADDING + paddingExtra;
     }
     public int[] drawBackground(int x, int y, int offsetX, int offsetY, int width, int height){
-        int targetOffset = 0;
+//        int targetOffset = 0;
         // Flip tooltip X if it goes offscreen to the right
         if(x + offsetX + width + BASE_PADDING * 2 > mc.resolution.getScaledWidthScreenCoords())
         {
-            int _offsetX = offsetX;
+//            int _offsetX = offsetX;
             offsetX = -offsetX - width;
-            targetOffset = offsetX - _offsetX;
+//            targetOffset = offsetX - _offsetX;
         }
 
         // Move tooltip up when it goes offscreen to the bottom
diff --git a/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java b/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java
index 58d99ad0a..996695ea3 100644
--- a/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java
+++ b/src/main/java/net/minecraft/client/gui/achievements/pages/AchievementPageNether.java
@@ -63,7 +63,7 @@ public class AchievementPageNether extends AchievementPage {
     @Override
     public void postProcessBackground(ScreenAchievements screen, Random random, ScreenAchievements.BGLayer layerCache, int orgX, int orgY) {
         if (layerCache.id == 0) {
-            int lastY = 0;
+            int lastY;
             int cave = -1;
             for (int _x = -100; _x <= 100; _x++) {
                 if (random.nextInt(20) == 0 && cave <= 0) {
diff --git a/src/main/java/net/minecraft/client/gui/chat/GuiElementChatSuggestions.java b/src/main/java/net/minecraft/client/gui/chat/GuiElementChatSuggestions.java
index f5b571bcf..08beed35b 100644
--- a/src/main/java/net/minecraft/client/gui/chat/GuiElementChatSuggestions.java
+++ b/src/main/java/net/minecraft/client/gui/chat/GuiElementChatSuggestions.java
@@ -21,7 +21,6 @@ import net.minecraft.client.gui.text.ITextField;
 import net.minecraft.client.gui.text.TextFieldEditor;
 import net.minecraft.client.net.command.ClientCommandSource;
 import net.minecraft.client.render.Font;
-import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.net.command.*;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.packet.RequestCommandManagerPacket;
diff --git a/src/main/java/net/minecraft/client/gui/container/ScreenContainer.java b/src/main/java/net/minecraft/client/gui/container/ScreenContainer.java
index 2f28a2123..9a32dbd57 100644
--- a/src/main/java/net/minecraft/client/gui/container/ScreenContainer.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenContainer.java
@@ -4,10 +4,6 @@ import net.minecraft.core.player.inventory.menu.MenuContainer;
 import net.minecraft.core.player.inventory.container.Container;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiContainer, ContainerChest, IInventory, FontRenderer, 
-//            RenderEngine
-
 public class ScreenContainer extends ScreenContainerAbstract
 {
 
diff --git a/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java b/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
index 12e9c86a0..addd56cb0 100644
--- a/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
@@ -31,12 +31,6 @@ import net.minecraft.core.player.inventory.slot.SlotCreative;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiScreen, PlayerLocal, RenderHelper, Container,
-//            Slot, InventoryPlayer, RenderItem, StringTranslate,
-//            ItemStack, FontRenderer, RenderEngine, PlayerController,
-//            GameSettings, KeyBinding
-
 public abstract class ScreenContainerAbstract extends Screen
 {
 	public int xSize;
diff --git a/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java b/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
index d06441057..5c9d87f51 100644
--- a/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
@@ -28,11 +28,6 @@ import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.client.option.OptionBoolean;
 import org.lwjgl.opengl.GL12;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiContainer, Player, Achievements, FontRenderer,
-//            RenderEngine, PlayerLocal, RenderHelper, RenderManager,
-//            GuiButton, GuiAchievements, GuiStats
-
 public class ScreenInventory extends ScreenContainerAbstract
 {
 	
diff --git a/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java b/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
index 788f6b4d9..e2a109edb 100644
--- a/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
+++ b/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
@@ -6,10 +6,6 @@ import net.minecraft.core.player.inventory.container.ContainerInventory;
 import net.minecraft.core.player.inventory.menu.MenuTrommel;
 import org.lwjgl.opengl.GL11;
 
-// Referenced classes of package net.minecraft.src:
-//            GuiContainer, ContainerFurnace, FontRenderer, RenderEngine,
-//            TileEntityFurnace, InventoryPlayer
-
 public class ScreenTrommel extends ScreenContainerAbstract
 {
 
diff --git a/src/main/java/net/minecraft/client/gui/createworld/CreateWorldPageRegistry.java b/src/main/java/net/minecraft/client/gui/createworld/CreateWorldPageRegistry.java
index 0465ce016..14e163597 100644
--- a/src/main/java/net/minecraft/client/gui/createworld/CreateWorldPageRegistry.java
+++ b/src/main/java/net/minecraft/client/gui/createworld/CreateWorldPageRegistry.java
@@ -2,7 +2,6 @@ package net.minecraft.client.gui.createworld;
 
 import net.minecraft.client.gui.paged.Page;
 import net.minecraft.client.gui.paged.PageRegistry;
-import net.minecraft.core.item.Item;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 
diff --git a/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java b/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java
index eaad53240..17e9b65d4 100644
--- a/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java
+++ b/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java
@@ -11,7 +11,6 @@ import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
 import static org.lwjgl.opengl.GL11.*;
-import static org.lwjgl.opengl.GL11.GL_BLEND;
 
 public class TextFieldComponent
     implements CallbackComponent<String> {
